### Method

# EDataServer OAuth2Service get_refresh_uri

since: 3.28

#### Declaration [src]

    const gchar*
    e_oauth2_service_get_refresh_uri (
      EOAuth2Service* service,
      ESource* source
    )

#### Description

No description available.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `const gchar*`

A URI to be used to refresh the authentication token.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.